import sys
# import os

from loguru import logger
from os.path import dirname, abspath, join
ROOT_DIR = abspath(join(dirname(abspath(__file__)), ".."))

from loguru import logger
logger.remove()
logger.add(sys.stderr, level="INFO")
logger.add(ROOT_DIR+"/logs/{time:YYYYMMDD-HHmmss}.log", rotation="10 MB", compression="zip", level="INFO")

from DDBfm import DDBfm
from TSLfm import TSLfm


def main():
    df=None

    with TSLfm() as tsl:
        # code_list = tsl.get_code_list("国债期货")
        # code_list += tsl.get_code_list("股指期货")
        # code_list += tsl.get_code_list("上市期货")
        # code_list=sorted(list(set(code_list)))

        begin_date='20221031'
        end_date='20221101'
        

        code_list=['CF2211']
        df = tsl.process_result_data_type(tsl.get_mkt_min_k(begin_date,end_date,code_list))
        print(df)

    ddb = DDBfm('dev')
    ddb.create_hft_database()
    ddb.create_hft_table(ddb.ddf_hft_mink_tbname,df)


if __name__ == '__main__':
    main()